# $Revision: 1.25 $, $Date: 2002/08/17 07:06:28 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Config
%define	pnam	IniFiles
Summary:	Config::IniFiles perl module
Summary(pl):	Modu perla Config::IniFiles
Name:		perl-Config-IniFiles
Version:	2.29
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Config::IniFiles - A module for reading .ini-style configuration
files.

%description -l pl
Config::IniFiles - modu do czytania plikw configuracyjnych .ini.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_mandir}/man3/*
%{perl_sitelib}/Config/IniFiles.pm

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Config-IniFiles.spec,v $
Revision 1.25  2002/08/17 07:06:28  kloczek
- (auto)update to 2.29.

Revision 1.24  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.23  2002/07/11 07:57:44  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:30:00  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:10:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:24:42  depesz
adapterized

Revision 1.16  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/09/08 07:46:47  kloczek
- updated to 2.21.

Revision 1.14  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.13  2001/04/17 12:06:36  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/04/10 19:25:33  mis
- autoupdated to 2.19

Revision 1.10  2001/04/02 07:12:32  kloczek
- added pl %description.

Revision 1.9  2001/03/30 15:05:07  mis
- autoupdated to 2.18

Revision 1.8  2001/03/29 07:44:51  mis
- autoupdated to 2.17

Revision 1.7  2001/01/08 23:12:24  kloczek
- updated to 2.14.

Revision 1.6  2001/01/02 16:21:22  agaran
undo last 2 changes

Revision 1.5  2001/01/02 16:16:08  agaran
Release ++, (changed build req.) to rebuild

Revision 1.4  2001/01/02 16:14:39  agaran
it dont require perl >=5.6, just perl

Revision 1.3  2000/12/30 01:26:40  kloczek
- release 1,
- removed .packlist from %files,
- adapterized and added full url in Source.

Revision 1.2  2000/12/28 01:59:14  agaran
cosmetics (should build now)

Revision 1.1  2000/12/22 19:01:12  agaran
initial release, builds on perl 5.6/5.00 (and works as far as i can check)

Revision 1.3  2000/11/10 16:07:23  agaran
Changed Source url

Revision 1.2  2000/10/04 22:21:18  kloczek
- adapteried.
